{% extends 'layout.html' %}
{% load thumbnail %}
{% load cache %}

{% block styles %}
    {{ block.super }}
    {% include 'gallery/photoswipe-gallery-styles.html' %}
{% endblock %}

{% block content_wrapper %}
    <div class="line-block">
        <div class="container">
            <div class="line"></div>
        </div>
    </div>
    {% include 'web/partials/breadcrumbs.html' %}
    {% cached_forever brand 'page_brand' %}
    <div class="brand-section">
        <div class="container">
            <div class="wrap">
                <div class="title title-gradient">{{ brand.title }}</div>
                <div class="text-sec">
                    <div class="brand-logo image-gallery" data-src="{{ brand.logo.url }}"
                         data-width="{{ brand.logo.width }}" data-height="{{ brand.logo.height }}"
                    >
                        {% thumbnail brand.logo "300x200" padding=True format="PNG" as im  %}
                        <img src="{{ im.url }}" alt="{{ brand.title }}">
                        {% endthumbnail %}
                    </div>
                    <div class="text">
                        {{ brand.description|safe }}
                    </div>
                    <div>
                    {% for brand_image in brand.images.all %}
                        <div class="img-block image-gallery"  data-src="{{ brand_image.img.url }}"
                             data-width="{{ brand_image.img.width }}" data-height="{{ brand_image.img.height }}">
                            {% thumbnail brand_image.img '240x240' crop='center' as im %}
                            <img src="{{ im.url }}" alt="{{ brand.title }}">
                            {% endthumbnail %}
                        </div>
                    {% endfor %}
                    </div>
                </div>
                <div class="btn-block all-items">
                    <a href="{% url 'catalogue:index' %}?selected_facets=brand_exact:{{ brand.title }}"><button class="btn btn__gold">Каталог {{ brand.title|capfirst }}</button></a>
                </div>
            </div>
        </div>
    </div>
    {% endcached_forever %}
    {% if brand_popular_products|length %}
    {% include 'web/partials/products_slider.html' with title='Популярные товары '|add:brand.title products=brand_popular_products %}
    {% endif %}
    {% include 'web/partials/brands_slider.html' with title='Бренды товаров' brands=brands%}
{% endblock %}

{% block modal_windows %}
    {% include 'gallery/photoswipe-overlay.html' %}
{% endblock %}

{% block scripts %}
    {{ block.super }}
    {% include 'gallery/photoswipe-gallery-scripts.html' %}
{% endblock %}